﻿@inherits UmbracoViewPage
@{
    var rootNode = Umbraco.AssignedContentItem.Root() as Home;
    var SocialMenuItems = rootNode.BoSocialMediaLinks;
}

<footer class="footer-strip-dark bg-extra-dark-gray padding-90px-tb lg-padding-70px-tb md-padding-50px-tb sm-padding-40px-tb">
    <div class="container">
        <div class="row align-items-center sm-text-center">
            <div class="col-md-8 col-12 sm-margin-30px-bottom footer-description">
                @Html.GetGridHtml(rootNode, "boFooterContent")
            </div>
            <div class="col-md-4 col-12 text-md-right text-sm-center">
                @if (rootNode.BoFooterButton != null)
                {
                    <span class="text-extra-large text-extra-dark-gray text-light-gray d-inline-block sm-d-block">
                        <a href="@(rootNode?.BoFooterButton?.Url)"
                           class="btn btn-large btn-transparent-white d-table d-lg-inline-block md-margin-lr-auto">@(rootNode?.BoFooterButton?.Name)</a>
                    </span>
                }
            </div>
        </div>
        <div class="border-top border-color-medium-dark-gray padding-80px-top margin-80px-top lg-padding-60px-top lg-margin-60px-top md-padding-50px-top md-margin-50px-top sm-padding-40px-top sm-margin-40px-top">
            <div class="row align-items-center">
                <!-- start logo -->
                <div class="col-lg-3 col-md-12 md-text-center md-margin-50px-bottom sm-margin-30px-bottom">
                    <a href="/">
                        @if (rootNode.HasValue("siteLogo"))
                        {
                            <img src="@rootNode.Value("siteLogo")" data-rjs="@rootNode.Value("siteLogo")" alt="@rootNode.BoCompanyName" class="footer-logo" />
                        }
                    </a>
                </div>
                <!-- end logo -->
                <!-- start copyright -->
                <div class="col-lg-4 col-md-5 col-12 sm-margin-30px-bottom text-medium sm-text-center">
                    @rootNode.BoCompanyName
                    @if (!string.IsNullOrEmpty(rootNode.BoCompanyAddress))
                    {
                        <br>@rootNode.BoCompanyAddress
                    }

                </div>
                <div class="col-lg-3 col-md-4 col-12 sm-margin-30px-bottom text-medium sm-text-center">
                    @if (!string.IsNullOrEmpty(rootNode.BoCompanyPhone))
                    {
                        @rootNode.BoCompanyPhone <br>
                    }
                    @if (!string.IsNullOrEmpty(rootNode.BoCompanyEmail))
                    {
                        <a href="#">@rootNode.BoCompanyEmail</a>
                    }

                </div>
                <!-- end copyright -->
                <!-- start social media -->
                <div class="col-lg-2 col-md-3 text-md-right sm-text-center">
                    <div class="social-icon-style-8 d-inline-block vertical-align-middle">
                        <ul class="small-icon mb-0">

                            @if (SocialMenuItems != null && SocialMenuItems.Any())
                            {
                                foreach (var link in SocialMenuItems)
                                {
                                    if (link.Url.ToLower().Contains("facebook"))
                                    {
                                        <li>
                                            <a class="facebook text-white-2" href="@(link?.Url)" target="_blank">
                                                <i class="fab fa-facebook-f" aria-hidden="true"></i>
                                            </a>
                                        </li>
                                    }
                                    if (link.Url.ToLower().Contains("instagram"))
                                    {
                                        <li>
                                            <a class="instagram text-white-2" href="@(link?.Url)" target="_blank">
                                                <i class="fab fa-instagram mr-0" aria-hidden="true"></i>
                                            </a>
                                        </li>
                                    }
                                    if (link.Url.ToLower().Contains("twitter"))
                                    {
                                        <li>
                                            <a class="twitter text-white-2" href="@(link?.Url)" target="_blank">
                                                <i class="fab fa-twitter"></i>
                                            </a>
                                        </li>
                                    }
                                    if (link.Url.ToLower().Contains("linkedin"))
                                    {

                                    }
                                    if (link.Url.ToLower().Contains("google"))
                                    {
                                        <li>
                                            <a class="google text-white-2" href="@(link?.Url)" target="_blank">
                                                <i class="fab fa-google-plus-g"></i>
                                            </a>
                                        </li>
                                    }
                                }
                            }


                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </div>
</footer>